package com.zcxk.security.smsCode;

import com.zcxk.model.ResultStatus;

import org.springframework.security.core.AuthenticationException;

public class SmsCodeException extends AuthenticationException {
    protected int status = ResultStatus.APPLICATION_ERROR.getStatus();

    public SmsCodeException(String msg) {
        super(msg);
    }

    public SmsCodeException(int status, String msg) {
        super(msg);
        this.status = status;
    }

    public SmsCodeException(ResultStatus resultStatus) {
        super(resultStatus.getMessage());
        this.status = resultStatus.getStatus();
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
